# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsSubversion/ConfigurationPage/SubversionPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SubversionPage(object):
    def setupUi(self, SubversionPage):
        SubversionPage.setObjectName("SubversionPage")
        SubversionPage.resize(406, 384)
        self.vboxlayout = QtWidgets.QVBoxLayout(SubversionPage)
        self.vboxlayout.setObjectName("vboxlayout")
        self.headerLabel = QtWidgets.QLabel(parent=SubversionPage)
        self.headerLabel.setObjectName("headerLabel")
        self.vboxlayout.addWidget(self.headerLabel)
        self.line15 = QtWidgets.QFrame(parent=SubversionPage)
        self.line15.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line15.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line15.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line15.setObjectName("line15")
        self.vboxlayout.addWidget(self.line15)
        self.groupBox = QtWidgets.QGroupBox(parent=SubversionPage)
        self.groupBox.setObjectName("groupBox")
        self.hboxlayout = QtWidgets.QHBoxLayout(self.groupBox)
        self.hboxlayout.setObjectName("hboxlayout")
        self.label = QtWidgets.QLabel(parent=self.groupBox)
        self.label.setObjectName("label")
        self.hboxlayout.addWidget(self.label)
        self.logSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.logSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.logSpinBox.setMaximum(999999)
        self.logSpinBox.setObjectName("logSpinBox")
        self.hboxlayout.addWidget(self.logSpinBox)
        spacerItem = QtWidgets.QSpacerItem(41, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.hboxlayout.addItem(spacerItem)
        self.vboxlayout.addWidget(self.groupBox)
        self.configButton = QtWidgets.QPushButton(parent=SubversionPage)
        self.configButton.setObjectName("configButton")
        self.vboxlayout.addWidget(self.configButton)
        self.serversButton = QtWidgets.QPushButton(parent=SubversionPage)
        self.serversButton.setObjectName("serversButton")
        self.vboxlayout.addWidget(self.serversButton)
        spacerItem1 = QtWidgets.QSpacerItem(388, 21, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.vboxlayout.addItem(spacerItem1)

        self.retranslateUi(SubversionPage)
        QtCore.QMetaObject.connectSlotsByName(SubversionPage)

    def retranslateUi(self, SubversionPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("SubversionPage", "<b>Configure Subversion Interface</b>"))
        self.groupBox.setTitle(_translate("SubversionPage", "Log"))
        self.label.setText(_translate("SubversionPage", "No. of log messages shown:"))
        self.logSpinBox.setToolTip(_translate("SubversionPage", "Enter the number of log messages to be shown"))
        self.configButton.setToolTip(_translate("SubversionPage", "Edit the subversion config file"))
        self.configButton.setText(_translate("SubversionPage", "Edit config file"))
        self.serversButton.setToolTip(_translate("SubversionPage", "Edit the subversion servers file"))
        self.serversButton.setText(_translate("SubversionPage", "Edit servers file"))
